Skip to main content
GET
Get cashflow over time

Authorizations

Authorization
string
header
required

Bearer JWT issued to your business account during onboarding

Query Parameters

from
string

Start of the range (UTC). A date like 2026-07-08 starts at the beginning of that day. A full timestamp is used as the exact start time and is included.

Example:

"2026-06-01"

to
string

End of the range (UTC). A date like 2026-07-08 includes that whole day. A full timestamp is the exact end time and is not included, so back-to-back ranges do not overlap. Defaults to now.

Example:

"2026-07-01"

groupBy
enum<string>

How to group results. One of hour, day, week, or month. Defaults to day.

Available options:
hour,
day,
week,
month
Example:

"day"

Response

200 - application/json
from
string
required
Example:

"2026-06-01"

to
string
required
Example:

"2026-07-01"

groupBy
string
required
Example:

"day"

cardFunding
number
required

USDC funded into cards (USD cents)

Example:

120000000

cardSpend
number
required

Completed card spend in the period (USD cents)

Example:

80000000

cardWithdrawals
number
required

USDC returned from cards to treasury (USD cents). Not an off-platform withdrawal.

Example:

30000000

buckets
object[]
required